## org.plovr.docgen
Class ParamDescriptor.Builder

    java.lang.Object
      org.plovr.docgen.ParamDescriptor.Builder

Enclosing class:
  ParamDescriptor

    public static class ParamDescriptor.Builder

extends Object

Method Summary
`ParamDescriptor` `build()`
`String` `getDescription()`
`String` `getName()`
`TypeExpression` `getTypeExpression()`
`void` `setDescription(String description)`
`void` `setName(String name)`
`void` `setTypeExpression(TypeExpression typeExpression)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### build

    public ParamDescriptor build()

### getName

    public String getName()

### setName

    public void setName(String name)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getTypeExpression

    public TypeExpression getTypeExpression()

### setTypeExpression

    public void setTypeExpression(TypeExpression typeExpression)